Warning (el-get): Your Emacs doesn’t support HTTPS (TLS)

Mac Osx için yaşadığım sorunlardan bir tanesi. El-get kullanmaya başladığımda farkettim. Şu şekilde çözebiliyoruz.

Eski yüklediğiniz emacs’i silin.

brew uninstall emacs

Default olarak gelen emacs 22 versionunu da sistemden silelim.

sudo rm /usr/bin/emacs
sudo rm -rf /usr/share/emacs

Emacs güncel sürümünü brew paket yöneticisi ile kuralım.

brew update
brew install emacs --with-cocoa --with-gnutls
brew linkapps emacs

Emacs sorunsuz şekilde terminalde açmak için kullandığınız shell konfigürasyonu için alias verelim. (-nw)[Version kısmını değiştirin.]

alias emacs="/usr/local/Cellar/emacs/24.x/Emacs.app/Contents/MacOS/Emacs -nw"

İsteği bağlı olarak şunları da ekleyebilirsiniz.

alias e="emacsclient -t"
alias ee="emacsclient -e"
alias vi="emacsclient -t"